Bug 467958 - Review Request: barry - BlackBerry(tm) Desktop for Linux
Review Request: barry - BlackBerry(tm) Desktop for Linux
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-21 16:40 EDT by Christopher D. Stover
Modified: 2009-05-22 12:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-14 07:48:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher D. Stover 2008-10-21 16:40:32 EDT
Upstream URL: http://www.netdirect.ca/software/packages/barry/
Spec & RPMs URL: http://cid-f723c571e9e6d51f.skydrive.live.com/browse.aspx/Public?view=details

Description: Barry is a desktop toolset for managing your BlackBerry(tm)
device. (BlackBerry is a registered trademark of Research in Motion Limited.)

Output from rpmlint:
[Chris@localhost SPECS]$ rpmlint ../RPMS/i386/*
libbarry0.i386: W: devel-file-in-non-devel-package /usr/lib/libbarry.so
5 packages and 0 specfiles checked; 0 errors, 1 warnings.

I'm ignoring this warning because I believe the purpose of libbarry0 is to
create this shared library for the other applications.

This is my first Fedora RPM submission as well as the first set of RPMs I've ever built.   Hence, I also need a sponsor.  Thanks.
Comment 1 Hans de Goede 2008-10-22 03:55:35 EDT
Assigning this to me as I will be sponsoring Christopher, I will try to do a review of this somewhere this week. Christopher as already discussed I would like you to do some *non official* reviews of other new packages as part of the sponsorship process. Please add me to the CC for any reviews where you add comments.
Comment 2 Christopher D. Stover 2008-10-28 02:55:21 EDT
Hans, I cleaned a few things up in the spec file.  Results from rpmlint are still the same as from my first comment.  I hope all went well with finishing things up before the target date last night.  

Chris

spec URL: http://8uxodw.bay.livefilestore.com/y1pio1hMuKG1M5NKTtICmuij3xUE-hQvQaQ5suC-qVERor-0TGvGleJUJa0QBfJi6sZskOTBt18qhE3klsVrmc2uw/barry.spec?download

SPRM URL: http://8uxodw.bay.livefilestore.com/y1p3zn76g7EvaApa6b-6TakgE-H9fd7Q1WQBI-rLpC5oVHDkc963TkKlUSTV4Jxt7IY8QObfn1UXw4nXLxiBnFLrA/barry-0.14-1.fc10.src.rpm?download
Comment 3 Hans de Goede 2008-11-04 08:52:21 EST
Here is an initial lists with comments and things to fix, note that I've not done a full review yet as I cannot build barry due to the missing .desktop file, see the MUST FIX list.

MUST FIX
--------
* The tarbal in the SRPM differs from the one provided by upstream (but contents 
  are identical). Did you make any changes to rights or something like that?
  Please do not do that, please redownload upstream's tarbal and use that as is.

* barry.desktop is not included in the srpm, this is because you do not have a 
  Source# line for it, add the following below the Source0 line :
Source1: barry.desktop

* when you install the .desktop file you refer to it by a path which depends on 
  the build environment, this will for example not work on the buildsys. Always
  refer to source files using %{SOURCE#}, so instead of:
desktop-file-install --vendor="" --dir=%{buildroot}%{_datadir}/applications/ ~/rpmbuild/SOURCES/%{name}.desktop
  write:
desktop-file-install --vendor="" --dir=%{buildroot}%{_datadir}/applications/ ${SOURCE1}

* Please remove the following commented lines, they add no information, as the same is already written above them:
#%if "(0%{?fc9} || 0%{?fc10})"
#       $define with_opensync 0
#%else
#       $define with_opensync 1
#%endif

* Drop the (tm) and the "(BlackBerry is a registered trademark of Research in Motion Limited.)) Everywhere, I've consulted out licensing expert on that and that is not necessary (and so ugly)

* We don't do soname as packagename in Fedora so please rename the libbarry0 subpackage to barry-libs, so replace:
%package -n libbarry0
  With:
%package libs
  And do to the same for "%description -n libbarry0"

* The Group for the -libs package should be "System Environment/Libraries"

* Drop the "Requires: boost", rpm will pick this up automatically"

* Rename libbarry-devel to barry-devel, iow replace "%package -n libbarry-devel" with
"%package devel"

* "Requires: %{name} = %{version}-%{release}" should be "Requires: %{name}-libs = %{version}-%{release}"

* Drop the "Conflicts: barry-bcharge", we've never shipped that and using Conflicts is BAD

* Drop the "Requires: gtkmm24", rpm will pick this up automatically

* Drop the "Requires: libbarry0, libopensync >= 0.22", rpm will pick this up automatically

* Drop all the "%attr(0755,root,root)" and the "%attr(0644,root,root)" those should not be necessary

* Only include the COPYING file as %doc for the -libs package, the rest will require that so it will always be installed

* "[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}" is deprecated instead just write: "%{__rm} -rf %{buildroot}"

* "-p /sbin/ldconfig" must be on the same line as %post[un] so for example: "%post libs -p /sbin/ldconfig"


Should fix
----------
* Fix the indentation of the BuildRequires: line (add one space)

* Currently your main package is empty. I believe that most users will want the gui tools, so I would like to suggest dropping the gui sub package and put
  the files currently there in the main package
Comment 4 Christopher D. Stover 2008-11-04 17:05:14 EST
Thanks for your thorough initial review Hans!  I feel bad you found so much wrong the first time around, but I've made the fixes.  Here's the new output from rpmlint:

[Chris@localhost SPECS]$ rpmlint barry.spec
barry.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 10, tab: line 4)
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

[Chris@localhost SPECS]$ rpmlint ../SRPMS/barry-0.14-1.fc10.src.rpm 
barry.src: W: mixed-use-of-spaces-and-tabs (spaces: line 10, tab: line 4)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

[Chris@localhost SPECS]$ rpmlint ../RPMS/i386/barry-*
barry.i386: W: devel-file-in-non-devel-package /usr/lib/libbarry.so
barry-devel.i386: W: spurious-executable-perm /usr/share/doc/barry-devel-0.14/www/static.sh
barry-devel.i386: W: spurious-executable-perm /usr/share/doc/barry-devel-0.14/www/clean.sh
barry-devel.i386: W: doc-file-dependency /usr/share/doc/barry-devel-0.14/www/clean.sh R
barry-devel.i386: W: doc-file-dependency /usr/share/doc/barry-devel-0.14/www/static.sh R
4 packages and 0 specfiles checked; 0 errors, 5 warnings.

I'm ignoring the library warning because it's not a devel file, it's required for the utilities to work.  I'm also ignoring the doc file warnings because the shell scripts do need to be executable, and they generate/remove html devel documentation if the user runs them.

In regards to your comments:
* I'm not sure what happened with my source tarball.  I redownloaded it so please let me know if it still appears to be different this time.

* The .desktop file is in the SRPM this time.

* I got rid of the libs and util package and consolidated them into the main package.  Since the libraries are built from source and the libs package was required to do anything useful, I figured it made sense.  Let me know if there's a problem with this.  Also, I chose to consolidate the util package instead of gui because I see the util as more basic things to make the Blackberry work with Linux.

Thanks again for your input and let me know what you think this time around.

SPEC URL: http://8uxodw.bay.livefilestore.com/y1pX2QxGel80n1v0PasG0m-xSKp6YpCGEeOWnmN8rtAMELCATbd7GLcbMgylxarFMM3hKLHXhHWlPpXmnFciqdCDQ/barry.spec?download

SRPM URL: http://8uxodw.bay.livefilestore.com/y1pX2QxGel80n1RK93qW0QkHr7q7HjnLMWS-65DxnUq66tI0412d2ruZCsj0cJJdqE0A-qGmzzCnw9Hmp1MYT-5tA/barry-0.14-1.fc10.src.rpm?download
Comment 5 Hans de Goede 2008-11-05 05:23:29 EST
Ok, it builds this time, so full review this time:

MUST FIX
--------

* Do not uses tabs, only use spaces, rpmlint has a good reason to complain, here is how the specfile looks in my editor (with standard 8 space tabs):
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar
Source1:                 %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

* Put either the utils or the libs in a separate sub-package, with multilib (64 bit systems with 32 bit compatibility) both a 32 bit and a 64 bit version of the sub-package containing the libs will get added to the repository, we don't want to have both 32 and 64 bit utils in the 64 bit repository

* The license tag should be GPLv2+ not GPLv2, I so no license headers without
  the "or any later version" language

* "barry.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libbarry.so", that file should really go the the -devel package, and no the utils don't need it, the trick is to put the libbarry.so.* files in the libs package and libbarry.so in the devel package

* Only documentation, not doc build scripts should be shipped as %doc:
barry-devel.x86_64: W: spurious-executable-perm /usr/share/doc/barry-devel-0.14/www/static.sh
barry-devel.x86_64: W: spurious-executable-perm /usr/share/doc/barry-devel-0.14/www/clean.sh
barry-devel.x86_64: W: doc-file-dependency /usr/share/doc/barry-devel-0.14/www/clean.sh R
barry-devel.x86_64: W: doc-file-dependency /usr/share/doc/barry-devel-0.14/www/static.sh R
So you must not include static.sh and clean.sh here, there are 2 ways todo this:
1) rm the scripts in %setup
2) make a copy of the www dir in %build and remove the files from the copy
   (use this when the scripts are needed during build / make intall)
   and then use the copy in %doc

* barry seems to out rpaths in its binaries when build on x86_64:
barry.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/bidentify ['/usr/lib64']
<and lots more>
Put the following 3 lines between each %{configure} and %{__make} (so put them in 3 times):
# Disable rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

* barry.spec has various directory ownership issues, all non standard dirs must be owned either by barry itself, or by a package required by barry:

%config(noreplace) %{_sysconfdir}/udev/rules.d/*
You should add a "Requires: udev" as that ownes the %{_sysconfdir}/udev/rules.d dir

%config(noreplace) %{_sysconfdir}/security/console.perms.d/*
Add a "Requires: pam"

%config(noreplace) %{_sysconfdir}/modprobe.d/blacklist-berry_charge
Add a "Requires: module-init-tools"

%config(noreplace) %{_sysconfdir}/ppp/peers/barry-rogers
Add a "Requires initscripts"

%config(noreplace) %{_sysconfdir}/chatscripts/barry-rogers.chat
Hmm, no such directory exists on my system, better own it in the package, add a:
%dir %{_sysconfdir}/chatscripts
To the %files list

%{_includedir}/barry/*
barry-devel should own %{_includedir}/barry, so instead write:
%{_includedir}/barry/
That will get you to own the dir and gets you all the files below it

%{_libdir}/pkgconfig/*.pc
Add a "Requires: pkgconfig" to the devel package

%{_datadir}/barry/glade/*.glade
barry should own %{_datadir}/barry and everything below it, so write:
%{_datadir}/barry/

%{_libdir}/opensync
You should add a Requires: for what ever package owns %{_libdir}/opensync


* Do not package .la files, instead remove them from the buildroot in %install after the make install


Thats it, with the next iteration please increase Release one and add a changelog entry what you changed, we always track changes even during review.
Comment 6 Christopher D. Stover 2008-11-09 15:30:59 EST
Hi Hans, thanks for the full review.  I didn't realize those directory ownership issues were a problem before but I've read up on them and it makes sense now.  Hopefully they should all be fixed now.  Output from rpmlint:
[Chris@localhost SPECS]$ rpmlint barry.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[Chris@localhost SPECS]$ rpmlint ../RPMS/i386/barry*
5 packages and 0 specfiles checked; 0 errors, 0 warnings.

I moved the libs out of the main package and back into their own package again.  I also put *.so in the devel package.

I added Requires: libopensync to the opensync package to make sure %{_libdir}/opensync exists.

I cleaned up the doc directory -- removed *.sh and *.php which were used to create the *.html files.

I added --disable-rpath to the %configure lines instead of the sed commands you pasted.  I don't have a 64-bit machine to test on but can you let me know if this fixes the problem?  If not, I'll have to use the sed commands.

SPEC: http://8uxodw.bay.livefilestore.com/y1pzd9Tb3TfRlfB2LpwvfmZ4cu_zknwrn_D9-R9BaHNGIqgS355w_eUnWkcl8ZAFYbvTVArCdxuo4Q/barry.spec?download

SRPM: http://8uxodw.bay.livefilestore.com/y1pzd9Tb3TfRlc7jRbx1-VYIoiOdC3wZL9botvMNwIskrSRYQmuAyM9wz5FosWRUw8TY1opI1uyiFk/barry-0.14-2.fc10.src.rpm?download
Comment 7 Hans de Goede 2008-11-10 09:23:32 EST
Getting there, getting there :)

Must FIX:
---------

* The Requires pkgconfig should be part of the -devel subpackage, not of the main package

* Now that the libs are in barry-libs, barry-devel must require %{name}-libs = %{version}-%{release}, not just %{name}

* Group for -libs should be: "Group: System Environment/Libraries"

* The Summary for the gui subpackage is wrong:
Summary: BlackBerry Desktop for Linux - bcharge, btool, breset and others
But bcharge, btool and breset are in the main package.

* These files and their matching Requires for dir ownership should be in the -libs packages, as users can also install just the gui tools + libs and then will still want to get these files:
%config(noreplace) %{_sysconfdir}/udev/rules.d/*
%config(noreplace) %{_sysconfdir}/security/console.perms.d/*
%config(noreplace) %{_sysconfdir}/modprobe.d/blacklist-berry_charge

* We do not ship static libraries, please remove this file after make install instead of shipping it:
%{_libdir}/*.a
(My fault I didn't catch this the first time)

* I've tested it and using --disable-rpath does not work (it almost never does), so please use the provided sed commands instead


Should FIX:
-----------
* Please indent "udev .." to the same level as all the settings of all the other lines above this one:
Requires: udev pam module-init-tools initscripts pkgconfig

* As the -gui subpackage gets build unconditionally please move these BuildRequires up to the main BuildRequires portion and indent it as "udev ..":
BuildRequires: gtkmm24-devel libglademm24-devel libglade2-devel libtar-devel desktop-file-utils
Also note that you may use multiple BuildRequires lines below each other, please do so and make all these lines fit within 80 chars
Comment 8 Christopher D. Stover 2008-11-10 13:07:31 EST
Yes!  Getting closer. =)  I'm sorry, I should have caught some of those fixes you put in the last comment so I hope you don't think I'm trying to torture you.  I really do appreciate all your help!

[Chris@localhost SPECS]$ rpmlint barry.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[Chris@localhost SPECS]$ rpmlint ../RPMS/i386/barry-*
5 packages and 0 specfiles checked; 0 errors, 0 warnings.

%{_mandir}/man1/ and %{_datadir}/applications/ are owned by filesystem.  Do I need to add a Requires for that or just leave it out since I would assume it's pretty standard to have in every system?

I added the sed commands in there so hopefully the Rpath problem is resolved.

I'm half tempted to merge the gui package and main package with command line utilities.  Upstream has them separated but I see no reason to separate the single gui program from everything else.  It just seems like extra work for the end user to install another package.  What do you think?  Any reason not to do this?

SRPM: http://8uxodw.bay.livefilestore.com/y1pxYRuced4yd5SYGYEd0OdOc4HaHOKqTMeFGB1XvaCqgGoTv2lBmjZsvcY6wHZbTJcY5e4eSusYB_Pq0-Gxm333Q/barry-0.14-3.fc10.src.rpm?download

SPEC: http://8uxodw.bay.livefilestore.com/y1pxYRuced4yd6JBXr2Z-CQqsy3UJmOHAdlbNgSGd2MssbkpTlCm5U7FowYLUs2X0X9W3WEBh8e-EQLyVrWKRQQtQ/barry.spec?download
Comment 9 Hans de Goede 2008-11-10 14:19:36 EST
(In reply to comment #8)
> %{_mandir}/man1/ and %{_datadir}/applications/ are owned by filesystem. 

So are /usr/bin, /usr/lib, etc. filesystem is a pretty MUST have package, and about the first package to get installed, so ...

> Do I
> need to add a Requires for that or just leave it out since I would assume it's
> pretty standard to have in every system?
> 

You can leave it out :)

> I added the sed commands in there so hopefully the Rpath problem is resolved.
> 

Yip, those work (I already tested that before advising to use them)

> I'm half tempted to merge the gui package and main package with command line
> utilities.  Upstream has them separated but I see no reason to separate the
> single gui program from everything else.  It just seems like extra work for the
> end user to install another package.  What do you think?

I'm fine with merging those 2.
Comment 10 Christopher D. Stover 2008-11-10 15:06:28 EST
[Chris@localhost SPECS]$ rpmlint barry.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[Chris@localhost SPECS]$ rpmlint ../SRPMS/barry-0.14-4.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[Chris@localhost SPECS]$ rpmlint ../RPMS/i386/barry-*
4 packages and 0 specfiles checked; 0 errors, 0 warnings.

I've merged the gui package and the main package.  I think it may finally be ready to go unless there's anything else you can find.

SPEC: http://8uxodw.bay.livefilestore.com/y1p-nds5yq83kTM-SF3rPmv6b6BvCgC_lXn-J2MWup6CFJl6HNRtPskw23UAA6sZuBZYFnfxUktnsx8KgQugZuKGA/barry.spec?download

SRPM: http://8uxodw.bay.livefilestore.com/y1p-nds5yq83kS7s2V9BOZfRZYEg0FjGajXCaXYcXDvY3j5X0L8UmncQHNPtXnReEAlOOCRcbBN9eDlzOT8LN51uw/barry-0.14-4.fc10.src.rpm?download
Comment 11 Hans de Goede 2008-11-10 16:02:59 EST
Looks al nice and shiny now :)

I'm happy with the progress you've made with regards to understanding of packaging, so I'm ready to sponsor you now, create an Fedora account system account (if not done already) and apply for cvs-extras access. Once you've done that I'll sponsor you, and then you can do a CVS request here to create a barry module in CVS, for more on this see:
https://fedoraproject.org/wiki/PackageMaintainers/Join
https://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
Comment 12 Christopher D. Stover 2008-11-10 20:34:12 EST
(In reply to comment #11)
> I'm happy with the progress you've made with regards to understanding of
> packaging, so I'm ready to sponsor you now

Thanks Hans, I appreciate all your help! =)

> create an Fedora account system account (if not done already) and apply for
> cvs-extras access.

Done.

> you can do a CVS request here to create a barry module in CVS

New Package CVS Request
=======================
Package Name: barry
Short Description: Barry is a desktop toolset for managing your BlackBerry device.
Owners: quantumburnz
Branches: F-8 F-9 F-10
InitialCC: quantumburnz
Comment 13 John F 2008-11-11 00:15:58 EST
New Package CVS Request
=======================
Package Name: ario
Short Description: Ario Music Player Daemon Client
Owners: john64
Branches: F-8 F-9 F-10
InitialCC: john64
Comment 14 John F 2008-11-11 00:16:33 EST
sorry, i posted this to the wrong bug, ignore it
Comment 15 Hans de Goede 2008-11-11 03:31:11 EST
(In reply to comment #12)
> (In reply to comment #11)
> > I'm happy with the progress you've made with regards to understanding of
> > packaging, so I'm ready to sponsor you now
> 
> Thanks Hans, I appreciate all your help! =)
> 
> > create an Fedora account system account (if not done already) and apply for
> > cvs-extras access.
> 
> Done.
> 

Erm, the cvs-extras group has been renamed to "packager" now (my bad), and I don't see a request from you to join that group, please apply for packager membership in the account system.

I'm clearing the CVS request flag for now, as there is nothing the cvsadmins can do until your account is in order, please repeat the request and reset the flag when I've approved your packager membership.
Comment 16 Mamoru TASAKA 2008-11-11 03:54:41 EST
(In reply to comment #15)
> (In reply to comment #12)
> > (In reply to comment #11)
> > > create an Fedora account system account (if not done already) and apply for
> > > cvs-extras access.
> > 
> > Done.
> > 
> 
> Erm, the cvs-extras group has been renamed to "packager" now (my bad), and I
> don't see a request from you to join that group, please apply for packager
> membership in the account system.

I can see the packager membership request from Christopher in the FAS name
of "quantumburnz".
Comment 17 Hans de Goede 2008-11-11 04:02:27 EST
(In reply to comment #16)
> (In reply to comment #15)
> > (In reply to comment #12)
> > > (In reply to comment #11)
> > > > create an Fedora account system account (if not done already) and apply for
> > > > cvs-extras access.
> > > 
> > > Done.
> > > 
> > 
> > Erm, the cvs-extras group has been renamed to "packager" now (my bad), and I
> > don't see a request from you to join that group, please apply for packager
> > membership in the account system.
> 
> I can see the packager membership request from Christopher in the FAS name
> of "quantumburnz".

You are right, my bad. I expected all sponsor needing people to be on the todo list of the initial login screen. What is the purpose of that todo list if it is incomplete? 

Anyways Christopher, you have been sponsored, I'll redo your CVS request now.
Comment 18 Hans de Goede 2008-11-11 04:03:09 EST
New Package CVS Request
=======================
Package Name: barry
Short Description: Barry is a desktop toolset for managing your BlackBerry
device.
Owners: quantumburnz
Branches: F-8 F-9 F-10
InitialCC: quantumburnz
Comment 19 Mamoru TASAKA 2008-11-11 04:14:21 EST
(In reply to comment #17)
> > I can see the packager membership request from Christopher in the FAS name
> > of "quantumburnz".
> 
> You are right, my bad. I expected all sponsor needing people to be on the todo
> list of the initial login screen. What is the purpose of that todo list if it
> is incomplete? 

  For this issue, I have to agree with you because I don't know either
  what "Todo queue" is for...
Comment 20 Kevin Fenzi 2008-11-12 13:19:56 EST
cvs done.
Comment 21 Fedora Update System 2008-11-12 16:28:43 EST
barry-0.14-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/barry-0.14-4.fc9
Comment 22 Fedora Update System 2008-11-12 16:28:47 EST
barry-0.14-4.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/barry-0.14-4.fc8
Comment 23 Fedora Update System 2008-11-12 16:28:51 EST
barry-0.14-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/barry-0.14-4.fc10
Comment 24 Fedora Update System 2008-11-14 07:48:06 EST
barry-0.14-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2008-11-14 07:48:16 EST
barry-0.14-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2008-11-22 11:57:25 EST
barry-0.14-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.